package ircclient

import (
	"fmt"
	"log"
	"regexp"
)

func Stripper(input string) string {
	// \b, \_, \cNN
	var rx *regexp.Regexp
	var err error
	rx, err = regexp.Compile("\x02|\x16|\x0f|\x03[0-9]{2}")
	if err != nil {
		log.Panic("regexp:", err)
	}
	input = rx.ReplaceAllString(input, "")
	return input
}

func Bold(input string) string {
	return "\x02" + input + "\x02"
}

func Underline(input string) string {
	return "\x16" + input + "\x16"
}

func Color(color int, input string) string {
	return fmt.Sprintf("\x03%02d%s\x0f", color, input)
}
